
Member Nodes - Support #8375

MNDeployment # 6957 (Operational): NRDC - Nevada Research Data Center

The urn:node:NRDC member node operator requested assistance in diagnosing an issue between

their local data repository and GMN

2018-02-21 19:38 - Mark Servilla
Description

Hannah Munoz, the current NRDC member node operator, has requested assistance in diagnosing an issue between their local data

repository and GMN. Apparently, no new content has been added to GMN since December 2016. See email thread below...

On Tue, Feb 20, 2018 at 2:11 PM, Mark Servilla mark.servilla@gmail.com wrote:

Hi Hannah,

It doesn't appear that any new data have been added to the NRDC MN since 2016-12-12T23:23:46.199404. I am available

today until 4pm MST or tomorrow between 10:30am-2:00pm MST, or intermittently the remainder of the week.

Sincerely,

Mark

Mark Servilla

mark.servilla@gmail.com

On Tue, Feb 20, 2018 at 12:22 PM, Hannah Munoz hannahmunoz@nevada.unr.edu wrote:

Hello, 

I think we're having a problem with our member node. Our node show that the last time it was harvested was 12/12/2016.

I'm not sure what the problem is. 

Please let me know if you're available to chat. 

Thank you,

Hannah Munoz 

 

History

#1 - 2018-02-21 19:41 - Mark Servilla

- Assignee set to Mark Servilla

A video call was attended by Hannah Munoz (NRDC) and Mark Servilla on 2018-02-21 at 11:00MST. Assistance was provided to Hannah for

diagnosing this specific issue, including confirming activity on existing adapter and checking log files for activity/errors. Hannah will notify DataONE on

any new information.

#2 - 2018-02-27 18:38 - Mark Servilla

Hannah Munoz attempted to update DataONE Python packages, which resulted in a server start failure. This was confirmed in email on 26 February:

On Mon, Feb 26, 2018 at 1:20 PM, Hannah Munoz hannahmunoz@nevada.unr.edu wrote:

That sounds about right. While trying to fix my code for updating to the server, I was running into several python packages that needed updating.
It's possible I updated to v2.4.1. Is it possible for me to rollback to v2.3.9rc1? Otherwise, I will get Roger access to the server.

Thank you,

Hannah

On Mon, Feb 26, 2018 at 12:16 PM, Mark Servilla mark.servilla@gmail.com wrote:

Hi Hannah,

It looks as if you updated your DataONE Python packages - the SCIMETA_VALIDATION_ENABLE attribute is a recent addition (as of

v2.4.1); this is a new service that enforces science metadata schema validation. The last I recall, NRDC was running GMN v2.3.9rc1? My

guess is that you are using a older version of the settings.py file, which does not have the attribute set. If necessary, I'll ask Roger to take a

look at your current settings -- he'll need SSH access to your server.

Mark

Mark Servilla

mark.servilla@gmail.com

On Mon, Feb 26, 2018 at 12:51 PM, Hannah Munoz hannahmunoz@nevada.unr.edu wrote:

Possibly. As per usual, I think I'm breaking things more than I'm fixing them.

I was trying to restart the apache2 server, however I'm now getting the attached error in the error logs.

Thanks you,

Hannah

On Mon, Feb 26, 2018 at 11:29 AM, Mark Servilla mark.servilla@gmail.com wrote:

Hi Hannah,

We have noticed that your GMN instance at https://dataone.sensor.nevada.edu/mn is returning a 500 internal server error. Is

there something that DataONE may help with in this matter?

Sincerely,

Mark

Mark Servilla

mark.servilla@gmail.com

On Tue, Feb 20, 2018 at 12:22 PM, Hannah Munoz hannahmunoz@nevada.unr.edu wrote:

Hello, 

I think we're having a problem with our member node. Our node show that the last time it was harvested was 12/12/2016. I'm

not sure what the problem is. 

Please let me know if you're available to chat. 

Thank you,

Hannah Munoz

 

 

 

This issue was delegated to Roger Dahl for direct assistance with recovering GMN.
#3 - 2018-03-06 18:56 - Amy Forrester

Fixed 3/6/18: Roger - was down due to problem with settings after GMN update

#4 - 2018-03-06 18:57 - Amy Forrester

- % Done changed from 0 to 100

- Status changed from New to Closed
